跳轉到主要內容

Documentation Index

Fetch the complete documentation index at: https://docs.raydium.io/llms.txt

Use this file to discover all available pages before exploring further.

本頁內容由 AI 自動翻譯,所有內容以英文版本為準。查看英文版 →
Owner API 提供 Raydium 持倉與餘額的每錢包檢視。它會提取經過快取的持倉、鎖定流動性、已創建的池與 IDO 參與資料,適合用於錢包 UI 與投資組合儀表板。

主機

環境主機
Mainnetowner-v1.raydium.io
Devnetowner-v1-devnet.raydium.io

概覽

該 API 公開五個按資源類型組織的主要端點:
  • /position/stake/{owner} — 質押持倉(標準 AMM / CPMM LP)
  • /position/clmm-lock/{owner} — 鎖定的 CLMM 持倉
  • /create-pool/{owner} — 該錢包所創建的池
  • /main/ido/{owner} — IDO 參與資料

資料新鮮度

此服務會快取持倉資料並定期進行更新。非常近期的持倉變更(數秒以內)可能無法立即出現在回應中。

常見模式

提取錢包的所有質押持倉

curl -s "https://owner-v1.raydium.io/position/stake/{owner}"
{owner} 替換為錢包的公開金鑰(base58 格式)。

提取鎖定持倉

curl -s "https://owner-v1.raydium.io/position/clmm-lock/{owner}"

檢查 IDO 參與

curl -s "https://owner-v1.raydium.io/main/ido/{owner}"

空白結果

若錢包在特定端點無任何資料,服務將返回含有請求中繼資料的 404 錯誤:
{
  "id": "...",
  "success": false
}

相關文件

請參考 CLMMCPMM 以了解持倉帳戶結構與術語。